Subject: bug#22715: 25.0.91; Point randomly jumps during key entry

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Feb 2016 18:43:05 +0200

> Date: Tue, 16 Feb 2016 20:39:49 -0500
> From: Steve Revilak <[email-masked]>
> 
> First, please accept my apologies for the poor bug report.  I'm calling
> it a poor bug report because I've been unable to find a simple recipe
> that easily reproduces the behavior I'm seeing.
> 
> The behavior itself is easy to describe: while providing keyboard input,
> sometimes point jumps to a (seemingly) random place in the buffer.
> 
> Some examples
> 
>   - while holding the UP arrow to slowly scroll upwards in the current
>     buffer, point suddenly `jumps' up, over several screenfuls of text
> 
>   - while typing (ordinary alphanumeric text), point jumps to a line
>     near the top of the file.  I've noticed this most often when using
>     emacs to write java code.  I'll be typing away in the body of a
>     method, and point will jump to a position in the file header
>     comment, several hundred lines earlier.
> 
> This doesn't happen very often.  Perhaps 3--4 times during a work day.
> I have not found a way to make it happen on demand.
> 
> I've experienced this behavior in 25.0.90 and 25.0.91, but not in
> earlier versions.
> 
> I typically see this behavior in java-mode and org-mode.  That said, the
> vast majority of my emacs usage involves java-mode and org-mode.
> 
> I've seen this behavior on two different x86_64 GNU/Linux systems.
> One system runs Redhat 6.4, and the other runs OpenSUSE 13.2.  Both
> systems have `standard' USB keyboards, and optical mice.
> 
> If I'm able to find a nice set of steps to reproduce, I'll add them to
> this bug report.
> 
> If there are suggestions for gathering/providing more information,
> please let me know, and I'll gladly try them.

Thanks.

It's indeed hard to do anything with this without more details.  Some
questions:

 . Are the problems in java-mode and org-mode similar?  It doesn't
   sound like that, but I'm not sure.

 . Do you have similar Emacs customizations on both systems where you
   see this?

 . Can you make this happen in "emacs -Q"?

Thanks.